ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 4.0

ARMA 3.0 マニュアル(ご参考用)

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

OSA-2004-58
 
 
1 サマリ
 
 
対象システム
ARMA2.0,ARMA2.1,ARMA2.2
パッケージ
gdk-pixbuf-ogl
概要
複数の脆弱性の修正
危険度
2
 
 
 
2 詳細
 
 Gtk の拡張ライブラリである gdk-pixbuf に複数の脆弱性が指摘されています。gdk-pixbuf は Gtk アプリケーションで広く使われています。脆弱性の概要は、BMP フォーマット処理での DoS の可能性、XPM/ICO フォーマット処理での任意のコード実行の可能性です。
 この問題の詳細については以下の情報を参照してください。
 
「CAN-2004-0753」 Common Vulnerabilities and Exposures
 
「CAN-2004-0782」 Common Vulnerabilities and Exposures
 
「CAN-2004-0788」 Common Vulnerabilities and Exposures
 
 
 アップデート後の gdk-pixbuf 関連のパッケージのバージョンは、ARMA2.2
 では 0.22.0-7o1 に、ARMA2.1/2.0 では 0.18.0-1o101 になります。
 
 
3 対処方法
 
 root になり以下のようにアップデートをおこなってください。
 
 
# apt-get update
# apt-get install libgdk-pixbuf2
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp